import { defaultLanguage } from './globals'

export function updateLanguageMenuLinks(params) {
    // Object.keys(params).forEach(element => {
    //     const inputEl = document.querySelector('input[reference=' + element  +']')
    //     inputEl.setAttribute('name', element)
    //     inputEl.setAttribute('value', params[element])
    // })

    const linkElements = [...document.querySelectorAll('.reference-field')]
    const queryString = window.location.search
    const urlParams = new URLSearchParams(queryString)

    linkElements.forEach(referenceField => {
        const intendedField = referenceField.getAttribute('reference')
        let param = urlParams.get(intendedField)

        if(param && param.length) {
            document.helper = {
                ...document.helper,
                [intendedField]: param,
            }

            referenceField.setAttribute('name', referenceField.getAttribute('reference'))
            referenceField.setAttribute('value', param)
        } else {
            referenceField.setAttribute('name', 'any')
        }
    })

}
